Ruby与Ruby on Rails框架环境搭建的简明教程

 更新时间:2016年05月19日 17:35:19   作者:kevinhua   我要评论
这篇文章主要介绍了Ruby与Ruby on Rails框架环境搭建的简明教程,包括RubyGems的升级与OpenSSL的支持等配置,需要的朋友可以参考下

安装Ruby与升级RubyGems
提示:在Ubuntu环境下安装过程中,如果提示权限问题,可以使用sudo make和sudo make install。

1.Ruby安装

wget http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p125.tar.gz \
&& tar -xzvf ruby-1.9.3-p125.tar.gz \
&& cd ruby-1.9.3-p125 \
&& ./configure --with-openssl-dir=/usr/lib/openssl
make && make install

2.Zlib支持

cd ext/zlib
ruby extconf.rb --with-zlib-include=/usr/include --with-zlib-lib=/usr/lib
make && make install

3.Openssl支持

cd ext/openssl
ruby extconf.rb
make && make install

4.Readline支持

cd ext/readline
ruby extconf.rb
make && make install

5.升级RubyGems

gem update —system

Rails本地开发环境搭建
安装Ruby on Rails:

$ gem install rails --no-ri --no-rdoc

为了节省安装时间可不安装文件档,这里加上--no-ri跟--no-rdoc参数。安装完成之后,输入rails -v你应该会看到Rails 4.2.0。
Ubuntu下需要用root权限安装套件:sudo gem install rails
使用者Windows的朋友很不幸地目前暂时需要一个手动补钉的动作才可以使用rubygem。首先请下载rubygems-update-2.2.3.gem放到C:\下:

$ gem install --local C:\rubygems-update-2.2.3.gem
$ update_rubygems --no-ri --no-rdoc
$ gem uninstall rubygems-update

接着再执行一次gem install rails --no-ri --no-rdoc安装Rails。

相关文章

最新评论